Subject: Re: bug#24642: 26.0.50; Missing mode-line on initial frame

From: martin rudalics <[email-masked]>
Date: Sun, 20 Nov 2016 18:10:18 +0100

> In fact, not just the mode line was missing, but the entire frame
 > contents was not displayed, just an empty frame.

Indeed.  I didn't notice since the upper part was obscured by the other
frame.

 > No bells rang here, but the patch below solves this for me.  Does it
 > make sense?  (Don't ask me how it works on emacs-25, it looks like
 > some lucky coincidence with timing of the WM_PAINT message and the way
 > we set windows_or_buffers_changed.)

It solves the problem so please apply it.  If it causes other problems,
they will show up soon enough.

Thanks for the fix, martin